"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Weather = void 0;
const getCurrentCoords_1 = require("./utils/getCurrentCoords");
const getWeather_1 = require("./utils/getWeather");
const getCoordsOfCity_1 = require("./utils/getCoordsOfCity");
const getCloths_1 = require("./utils/getCloths");
class Weather {
    constructor() {
        this.current_coords = (0, getCurrentCoords_1.getCurrentCoords)();
    }
    async now(options) {
        const coords = await this.current_coords;
        return await (0, getWeather_1.getWeather)(coords, options);
    }
    async now_city(city) {
        const coords = await (0, getCoordsOfCity_1.getCoordsOfCity)(city);
        if (coords)
            return coords;
        return await (0, getWeather_1.getWeather)(coords);
    }
    async getClothes() {
        const coords = await this.current_coords;
        const dataWeather = await (0, getWeather_1.getWeather)(coords);
        if ('temp' in dataWeather && (dataWeather === null || dataWeather === void 0 ? void 0 : dataWeather.temp)) {
            return (0, getCloths_1.getCloths)(dataWeather.temp);
        }
        else {
            return { messageClothes: 'API operation error' };
        }
    }
}
exports.Weather = Weather;
