"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCoordsOfCity = void 0;
const axios_1 = __importDefault(require("axios"));
const config_1 = require("../config/config");
async function getCoordsOfCity(city) {
    try {
        const response = await axios_1.default.get(`${config_1.config.main_url}/geo/1.0/direct?q=${city}&appid=${config_1.config.API_KEY}`);
        if (!response.data.length) {
            return {
                error: `The ${city} is not founded, please choose another city`,
            };
        }
        else {
            const { lat, lon } = response.data[0];
            return {
                latitude: lat,
                longitude: lon,
            };
        }
    }
    catch (err) {
        throw err;
    }
}
exports.getCoordsOfCity = getCoordsOfCity;
