"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getWeather = void 0;
const interface_1 = require("../interface/interface");
const axios_1 = __importDefault(require("axios"));
const config_1 = require("../config/config");
const getWeather = async (coords, options) => {
    try {
        const { latitude, longitude } = coords;
        let response;
        if (!(options === null || options === void 0 ? void 0 : options.days)) {
            response = await axios_1.default.get(`${config_1.config.main_url}/data/2.5/weather?lat=${latitude}&lon=${longitude}&units=${(options === null || options === void 0 ? void 0 : options.unitsTemp) || interface_1.ETemperature.Celsius}&appid=${config_1.config.API_KEY}`);
            return response.data.main;
        }
        else {
            response = await axios_1.default.get(`${config_1.config.main_url}/data/2.5/forecast?lat=${latitude}&lon=${longitude}&cnt=${options.days}&units=metric&appid=${config_1.config.API_KEY}`);
            return response.data.list.map((item) => item.main);
        }
    }
    catch (err) {
        throw err;
    }
};
exports.getWeather = getWeather;
